package com.palmnest.model;

import com.palmnest.model.notice.WxtemplateConfigPara;

import java.io.Serializable;
import java.util.List;

public class TempSaverList implements Serializable {

	private static final long serialVersionUID = 6982824868636413765L;

	private Integer                    id;
	private String                     title;
	private String                     content;
	private String                     contentTxt;
	private String                     url_address;
	private Integer                    state;
	private Integer                    noticeType;
	private Integer                    contentType;
	private String                     coverUrl;
	private String                     summaryInfo;
	private Integer                    positionType;
	private Integer                    orderNum;
	private String                     approval_user;
	private String                     creator;
	private String                     fullName;
	private String                     modifier;
	private String                     isEnabled;
	private String                     phones;
	private Integer                    phones_quantity;
	private String                     platform_id;
	private String                     recipient_email;
	private String                     ssender_email;
	private String                     email_theme;
	private String                     email_centent;
	private Integer                    emailaccount_id;
	private String                     attach_ment;
	private Integer                    wechat_template_id;
	private String                     open_id;
	private String                     url;
	private String                     redirect_url;
	private String                     approval_time;
	private String                     createTime;
	private String                     modifyTime;
	private String                     send_time;
	private List<WxtemplateConfigPara> paramList;
	private String                     templateName;
	private int                        total;
	private int                        attach_ment_count;
	private String                     name;
	private int                        msgCost;
	private String                     url_path;
	
	private String fail_str;
	private String status_str;
	
	private Integer                    isApproval;
	private Integer approvalType;
	private String roleId;
	private String roleName;
	private Integer                    isPublish;
	private Integer                    orgId;
	
	public List<WxtemplateConfigPara> getParamList() {
		return this.paramList;
	}

	public void setParamList(List<WxtemplateConfigPara> paramList) {
		this.paramList = paramList;
	}

	public String getTemplateName() {
		return this.templateName;
	}

	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}

	public String getApproval_time() {
		return this.approval_time;
	}

	public void setApproval_time(String approval_time) {
		this.approval_time = approval_time;
	}

	public String getCreateTime() {
		return this.createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getModifyTime() {
		return this.modifyTime;
	}

	public void setModifyTime(String modifyTime) {
		this.modifyTime = modifyTime;
	}

	public String getSend_time() {
		return this.send_time;
	}

	public void setSend_time(String send_time) {
		this.send_time = send_time;
	}

	public String getRedirect_url() {
		return this.redirect_url;
	}

	public void setRedirect_url(String redirect_url) {
		this.redirect_url = redirect_url;
	}

	public int getMsgCost() {
		return this.msgCost;
	}

	public void setMsgCost(int msgCost) {
		this.msgCost = msgCost;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getAttach_ment_count() {
		return this.attach_ment_count;
	}

	public void setAttach_ment_count(int attach_ment_count) {
		this.attach_ment_count = attach_ment_count;
	}

	public int getTotal() {
		return this.total;
	}

	public void setTotal(int total) {
		this.total = total;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTitle() {
		return this.title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return this.content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getUrl_address() {
		return this.url_address;
	}

	public void setUrl_address(String url_address) {
		this.url_address = url_address;
	}

	public Integer getState() {
		return this.state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getApproval_user() {
		return this.approval_user;
	}

	public void setApproval_user(String approval_user) {
		this.approval_user = approval_user;
	}

	public String getCreator() {
		return this.creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public String getModifier() {
		return this.modifier;
	}

	public void setModifier(String modifier) {
		this.modifier = modifier;
	}

	public String getIsEnabled() {
		return this.isEnabled;
	}

	public void setIsEnabled(String isEnabled) {
		this.isEnabled = isEnabled;
	}

	public String getPhones() {
		return this.phones;
	}

	public void setPhones(String phones) {
		this.phones = phones;
	}

	public Integer getPhones_quantity() {
		return this.phones_quantity;
	}

	public void setPhones_quantity(Integer phones_quantity) {
		this.phones_quantity = phones_quantity;
	}

	public String getPlatform_id() {
		return this.platform_id;
	}

	public void setPlatform_id(String platform_id) {
		this.platform_id = platform_id;
	}

	public String getRecipient_email() {
		return this.recipient_email;
	}

	public void setRecipient_email(String recipient_email) {
		this.recipient_email = recipient_email;
	}

	public String getSsender_email() {
		return this.ssender_email;
	}

	public void setSsender_email(String ssender_email) {
		this.ssender_email = ssender_email;
	}

	public String getEmail_theme() {
		return this.email_theme;
	}

	public void setEmail_theme(String email_theme) {
		this.email_theme = email_theme;
	}

	public String getEmail_centent() {
		return this.email_centent;
	}

	public void setEmail_centent(String email_centent) {
		this.email_centent = email_centent;
	}

	public Integer getEmailaccount_id() {
		return this.emailaccount_id;
	}

	public void setEmailaccount_id(Integer emailaccount_id) {
		this.emailaccount_id = emailaccount_id;
	}

	public String getAttach_ment() {
		return this.attach_ment;
	}

	public void setAttach_ment(String attach_ment) {
		this.attach_ment = attach_ment;
	}

	public Integer getWechat_template_id() {
		return this.wechat_template_id;
	}

	public void setWechat_template_id(Integer wechat_template_id) {
		this.wechat_template_id = wechat_template_id;
	}

	public String getOpen_id() {
		return this.open_id;
	}

	public void setOpen_id(String open_id) {
		this.open_id = open_id;
	}

	public String getUrl() {
		return this.url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getContentTxt() {
		return this.contentTxt;
	}

	public void setContentTxt(String contentTxt) {
		this.contentTxt = contentTxt;
	}

	public String getUrl_path() {
		return this.url_path;
	}

	public void setUrl_path(String url_path) {
		this.url_path = url_path;
	}

	public Integer getNoticeType() {
		return this.noticeType;
	}

	public void setNoticeType(Integer noticeType) {
		this.noticeType = noticeType;
	}

	public Integer getContentType() {
		return this.contentType;
	}

	public void setContentType(Integer contentType) {
		this.contentType = contentType;
	}

	public String getCoverUrl() {
		return this.coverUrl;
	}

	public void setCoverUrl(String coverUrl) {
		this.coverUrl = coverUrl;
	}

	public String getSummaryInfo() {
		return this.summaryInfo;
	}

	public void setSummaryInfo(String summaryInfo) {
		this.summaryInfo = summaryInfo;
	}

	public Integer getPositionType() {
		return this.positionType;
	}

	public void setPositionType(Integer positionType) {
		this.positionType = positionType;
	}

	public Integer getOrderNum() {
		return this.orderNum;
	}

	public void setOrderNum(Integer orderNum) {
		this.orderNum = orderNum;
	}


	public String getFullName() {
		return fullName;
	}

	public void setFullName(String fullName) {
		this.fullName = fullName;
	}
	
	

	public String getFail_str() {
		return fail_str;
	}

	public void setFail_str(String fail_str) {
		this.fail_str = fail_str;
	}

	public String getStatus_str() {
		return status_str;
	}

	public void setStatus_str(String status_str) {
		this.status_str = status_str;
	}

	public String toString() {
		return "TempSaverList [id=" + this.id + ", title=" + this.title + ", content=" + this.content + ", url_address=" + this.url_address + ", state=" + this.state + ", approval_user=" + this.approval_user + ", approval_time=" + this.approval_time + ", createTime=" + this.createTime + ", creator=" + this.creator + ", modifier=" + this.modifier + ", modifyTime=" + this.modifyTime + ", isEnabled=" + this.isEnabled + ", phones=" + this.phones + ", send_time=" + this.send_time + ", phones_quantity=" + this.phones_quantity + ", platform_id=" + this.platform_id + ", recipient_email=" + this.recipient_email + ", ssender_email=" + this.ssender_email + ", email_theme=" + this.email_theme + ", email_centent=" + this.email_centent + ", emailaccount_id=" + this.emailaccount_id + ", attach_ment=" + this.attach_ment + ", wechat_template_id=" + this.wechat_template_id + ", open_id=" + this.open_id + ", url=" + this.url + ", url_path=" + this.url_path + "]";
	}

	public Integer getIsApproval() {
		return isApproval;
	}

	public void setIsApproval(Integer isApproval) {
		this.isApproval = isApproval;
	}

	public Integer getApprovalType() {
		return approvalType;
	}

	public void setApprovalType(Integer approvalType) {
		this.approvalType = approvalType;
	}

	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public Integer getIsPublish() {
		return isPublish;
	}

	public void setIsPublish(Integer isPublish) {
		this.isPublish = isPublish;
	}

	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}
	
	
}
